View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
18124Bug reportsStatisticspublic2022-05-31 22:47
Reportergseilhei Assigned Togabrieljenik  
PrioritynoneSeverityfeature 
Status feedbackResolutionopen 
Summary18124: Question type bootstrap buttons "no answer" omitted from graphical representation (x-axis) in statistics.
Description

Problem.
Currently these fields included in the statistics output, even though they are disabled as an answer option.

Solution.
Provided this response option is turned off, these should be hidden from the statistics or be able to be optionally hidden.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.3.x
I will donate to the project if issue is resolved
Browser
Database type & version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gseilhei

gseilhei

2022-05-17 22:53

reporter  

gabrieljenik

gabrieljenik

2022-05-27 22:43

manager   ~70075

Well, but if there are incomplete responses, that question could have been left unasnwered, right?

gseilhei

gseilhei

2022-05-28 10:15

reporter   ~70082

probably so, but that is not the problem in this case.

DenisChenu

DenisChenu

2022-05-28 11:21

developer   ~70083

i don't think stat is related to QuestionTheme currently

gabrieljenik

gabrieljenik

2022-05-30 14:39

manager   ~70102

probably so, but that is not the problem in this case.

What I am saying is that it can't be removed taht easely as there are situations when that optins shold be shown.
Do you have a sample LSA so we can reproduce and evaluate?

c_schmitz

c_schmitz

2022-05-30 18:18

administrator   ~70110

I think this is not a bug. As said, a 'no answer' option is always shown in statistics, because there might be someone who did not answer this one yet, still there is a response.

DenisChenu

DenisChenu

2022-05-30 18:21

developer   ~70114

In 2.6 : we have a difference between is null and empty ?
And we have "not shown" and "not answered" if i didn't make error.

Maybe : start point : "not answered or not shown" for label ?

gseilhei

gseilhei

2022-05-31 21:11

reporter   ~70131

If this option is deactivated in the questions, no answer is possible BUT it still appears in the statistics.
This makes no sense in terms of usability in the statistics.

If of course one of the other questions this option would be activated, the visibility in the statistics would be comprehensible even if no data are available.

gabrieljenik

gabrieljenik

2022-05-31 22:47

manager   ~70134

If this option is deactivated in the questions, no answer is possible BUT it still appears in the statistics.

I think there is a typo in the sentence above.
Still, I think I understand.
If the allow "no answer" option is deactivated, still, there could be situations where the question is not shown to participant (participant exiting before question is shows, relevance, ...). In those cases, "no answer" should be OK in statistics.

Issue History

Date Modified Username Field Change
2022-05-17 22:53 gseilhei New Issue
2022-05-17 22:53 gseilhei File Added: Bildschirmfoto 2022-05-17 um 22.52.40.png
2022-05-17 22:53 gseilhei File Added: Bildschirmfoto 2022-05-17 um 22.40.07.png
2022-05-18 00:26 ollehar Project Feature requests => Bug reports
2022-05-27 22:43 gabrieljenik Note Added: 70075
2022-05-27 22:43 gabrieljenik Bug heat 0 => 2
2022-05-27 22:44 gabrieljenik Status new => feedback
2022-05-27 22:44 gabrieljenik Complete LimeSurvey version number (& build) => 5.3.x
2022-05-28 10:15 gseilhei Note Added: 70082
2022-05-28 10:15 gseilhei Bug heat 2 => 4
2022-05-28 10:15 gseilhei Status feedback => new
2022-05-28 11:21 DenisChenu Note Added: 70083
2022-05-28 11:21 DenisChenu Bug heat 4 => 6
2022-05-30 14:39 gabrieljenik Note Added: 70102
2022-05-30 18:18 c_schmitz Note Added: 70110
2022-05-30 18:18 c_schmitz Bug heat 6 => 8
2022-05-30 18:21 DenisChenu Note Added: 70114
2022-05-31 21:11 gseilhei Note Added: 70131
2022-05-31 22:47 gabrieljenik Note Added: 70134
2022-05-31 22:47 gabrieljenik Assigned To => gabrieljenik
2022-05-31 22:47 gabrieljenik Status new => feedback